<!DOCTYPE html>
<html lang="en">
<head>
    <title>ES6</title>
</head>
<body>
    <script>
        
        document.write("<h1> SOAL 3</h1>");

        document.write("<h3>3. Destructuring</h3>");

        document.write("<p> Diberikan sebuah objek sebagai berikut:</p>");

        document.write(`<p>const newObject = {</p>`);
        document.write(`<p>&nbsp &nbsp firstName: "Harry",</p>`);
        document.write(`<p>&nbsp &nbsp lastName: "Potter Holt",</p>`);
        document.write(`<p>&nbsp &nbsp destination: "Hogwarts React Conf",</p>`);
        document.write(`<p>&nbsp &nbsp occupation: "Deve-wizard Avocado",</p>`);
        document.write(`<p>&nbsp &nbsp spell: "Vimulus Renderus!!!"</p>`);
        document.write(`<p>}</p>`);

        document.write(`<p>dalam ES5 untuk mendapatkan semua nilai dari object tersebut kita harus tampung satu per satu:</p>`);

        document.write(`<p>const firstName = newObject.firstName;</p>`);
        document.write(`<p>const lastName = newObject.lastName;</p>`);
        document.write(`<p>const destination = newObject.destination;</p>`);
        document.write(`<p>const occupation = newObject.occupation;</p>`);

        document.write(`<p>Gunakan metode destructuring dalam ES6 untuk mendapatkan semua nilai dalam object dengan lebih singkat (1 line saja)</p>`);

        document.write(`<p>// Driver code</p>`);
        document.write(`<p>console.log(firstName, lastName, destination, occupation)</p>`);

        document.write("<h3>Jawaban no 3</h3>");

        let newObject = {
          firstName: "Harry",
          lastName: "Potter Holt",
          destination: "Hogwarts React Conf",
          occupation: "Deve-wizard Avocado",
          spell: "Vimulus Renderus!!!"
        }

        const { firstName, lastName, destination, occupation, spell} = newObject;

        console.log(`${firstName}, ${lastName}, ${destination}, ${occupation}, ${spell}`)

        document.write(`${newObject}`);

    </script>
</body>
</html>